# Repo

{% hint style="info" %}
An aragonPM repository.
{% endhint %}

## Properties <a href="#properties" id="properties"></a>

| Name              | Type             | Description                                                                                       |
| ----------------- | ---------------- | ------------------------------------------------------------------------------------------------- |
| `address`         | `String`         | Address of the repo.                                                                              |
| `artifact`        | `AragonArtifact` | Metadata for the smart contract of the app, generated at publish.                                 |
| `contentUri`      | `String`         | The location of the app content. Empty for special apps like the kernel. E.g. `"ipfs:QmdLEDDfi…"` |
| `name`            | `String`         | Name of the app. E.g. `"Tokens"`.                                                                 |
| `manifest`        | `AragonManifest` | Publisher-specific metada.                                                                        |
| `roles`           | `Role[]`         | Roles supported by the app.                                                                       |
| `registry`        | `String`         | Name of the aragonPM registry where the repository . E.g. `"aragonpm.eth"`                        |
| `registryAddress` | `String`         | Address of the aragonPM registry for this app.                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/repo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
